Subject: bug#77992: closed (Re: bug#77992: Childhurd stuck booting)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Apr 2025 10:33:18 +0000

Your bug report

#77992: Childhurd stuck booting

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77992: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77992
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77992: Childhurd stuck booting
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 23 Apr 2025 12:29:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] writes:

>> Tested on both systems and it seems to work.
>>
>> Let me know how it goes for you!
>>
> Thank you, this fixes the issue for me and I did not notice a difference on Linux.

Thanks for checking, pushed as 27e62d4481a02f1016c7a72bedb946d92ceecf49.

Ludo’.

Subject: Childhurd stuck booting
From: [email-masked]
To: [email-masked]
Date: Tue, 22 Apr 2025 17:45:17 +0200 (GMT+02:00)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

After I updated today my hurd-vm is stuck booting.
Looking at the output it seems it is receiving the secrets from the host correctly but then nothing happens after "Service secret-service-client has been started"
Not Working: c6ee7b0f79632d50ad491b75c240547be8f40c31
Working: 54cc9c96ec0877b2afa24871c3acd8af27b0d500

Because python does not support cross compiling for most of the window this is hard to bisect. I didn't find time yet to look into it more.

Yelninei